## Node module for DocuSign Integration with ReactJs App. It uses DocuSign JWT grant auth flow , token generated from Rest API.


## Steps to run React app  http://localhost:5173/
  1. Install node JS latest version. used node V20.11.1 at the time of development.
  2. open the folder  ..\UNW.React.Framework.DocuSign\ in command window of your choice or in VScode Terminal window
  3. Run command  ```npm i ``` to install all the dependencies mentioned in package.json
  4. Run command ```npm run build``` to build the package.
  5. Run command ``` npm link``` to export this package and use it in another project.
  6. open the React app folder  in command window of your choice or in VScode Terminal window
  7. Run command  ```npm i ``` and ```npm run build``` to install dependencies and build the project respectively.
  8. Run command  ```npm link DocusignPackage ``` to  link and import DocusignPackage in ReactApp.
  9. Run command  ```npm run dev ``` to run the app, it will be hosted with url  `http://localhost:5173/` .


  ## DocuSign Admin settings
1. Go to `https://admindemo.docusign.com/ ` to view app created for this integration
2. use tempboxonline@gmail.com account to login which is a system account.
3. From Dashboard screen go to Apps and keys to view created Apps. `MyDemoApp` is the app used for this demo integration. Click Actions to view the settings.
4. Important articles to go through 
    `https://developers.docusign.com/platform/auth/jwt/`
    `https://developers.docusign.com/platform/auth/jwt/jwt-best-practice/`
    `https://developers.docusign.com/sample-apps`
